typedef union {
	struct Expr	*expr;
	struct Label	*label;
	int		 num;
	char		*str;
	struct Symbol	*sym;
} YYSTYPE;
#define	TK_AND_OP	258
#define	TK_EQV_OP	259
#define	TK_NEQV_OP	260
#define	TK_OR_OP	261
#define	TK_NOT_OP	262
#define	TK_ALLOCATABLE	263
#define	TK_ALLOCATE	264
#define	TK_ASSIGN	265
#define	TK_ASSIGNMENT	266
#define	TK_BACKSPACE	267
#define	TK_BLOCK_DATA	268
#define	TK_CALL	269
#define	TK_CASE	270
#define	TK_CHARACTER	271
#define	TK_CLOSE	272
#define	TK_COMMON	273
#define	TK_COMPLEX	274
#define	TK_CONTAINS	275
#define	TK_CONTINUE	276
#define	TK_CYCLE	277
#define	TK_DATA	278
#define	TK_DEALLOCATE	279
#define	TK_DEFAULT	280
#define	TK_DIMENSION	281
#define	TK_DO	282
#define	TK_DOUBLE_PRECISION	283
#define	TK_ELSE	284
#define	TK_ELSE_IF	285
#define	TK_ELSE_WHERE	286
#define	TK_END	287
#define	TK_END_BLOCK_DATA	288
#define	TK_END_DO	289
#define	TK_END_FILE	290
#define	TK_END_FUNCTION	291
#define	TK_END_IF	292
#define	TK_END_INTERFACE	293
#define	TK_END_MODULE	294
#define	TK_END_PROGRAM	295
#define	TK_END_SELECT	296
#define	TK_END_SUBROUTINE	297
#define	TK_END_TYPE	298
#define	TK_END_WHERE	299
#define	TK_ENTRY	300
#define	TK_EQUIVALENCE	301
#define	TK_EXIT	302
#define	TK_EXTERNAL	303
#define	TK_FORMAT	304
#define	TK_FUNCTION	305
#define	TK_GO_TO	306
#define	TK_IF	307
#define	TK_IMPLICIT	308
#define	TK_INCLUDE	309
#define	TK_INQUIRE	310
#define	TK_INTEGER	311
#define	TK_INTENT	312
#define	TK_INTERFACE	313
#define	TK_INTRINSIC	314
#define	TK_LOGICAL	315
#define	TK_MODULE	316
#define	TK_NAMELIST	317
#define	TK_NONE	318
#define	TK_NULLIFY	319
#define	TK_ONLY	320
#define	TK_OPEN	321
#define	TK_OPERATOR	322
#define	TK_OPTIONAL	323
#define	TK_PARAMETER	324
#define	TK_PAUSE	325
#define	TK_POINTER	326
#define	TK_PRINT	327
#define	TK_PRIVATE	328
#define	TK_PROCEDURE	329
#define	TK_PROGRAM	330
#define	TK_PUBLIC	331
#define	TK_READ	332
#define	TK_REAL	333
#define	TK_RECURSIVE	334
#define	TK_RESULT	335
#define	TK_RETURN	336
#define	TK_REWIND	337
#define	TK_SAVE	338
#define	TK_SELECT_CASE	339
#define	TK_SEQUENCE	340
#define	TK_STOP	341
#define	TK_SUBROUTINE	342
#define	TK_TARGET	343
#define	TK_THEN	344
#define	TK_TO	345
#define	TK_TYPE	346
#define	TK_UREAD	347
#define	TK_USE	348
#define	TK_WHERE	349
#define	TK_WHILE	350
#define	TK_WRITE	351
#define	TK_CLOSE_AC	352
#define	TK_DBL_COLON	353
#define	TK_OPEN_AC	354
#define	TK_PTR_ASSIGN	355
#define	TK_ID	356
#define	TK_CHAR_LIT_CONST	357
#define	TK_COMPLEX_LIT_CONST	358
#define	TK_DP_LIT_CONST	359
#define	TK_LOGICAL_LIT_CONST	360
#define	TK_REAL_LIT_CONST	361
#define	TK_BOZ_LIT_CONST	362
#define	TK_INT_LIT_CONST	363
#define	TK_DEFINED_OP	364
#define	PREC_NOT_OP	365
#define	TK_REL_OP	366
#define	TK_CONCAT_OP	367
#define	TK_POWER_OP	368
#define	PREC_DEFINED_UNARY_OP	369
#define	TK_EOF	370
#define	TK_ALIGN	371
#define	TK_DISTRIBUTE	372
#define	TK_DYNAMIC	373
#define	TK_END_FORALL	374
#define	TK_EXTRINSIC	375
#define	TK_FORALL	376
#define	TK_HPF	377
#define	TK_INDEPENDENT	378
#define	TK_INHERIT	379
#define	TK_NEW	380
#define	TK_NO_SEQUENCE	381
#define	TK_ONTO	382
#define	TK_PROCESSORS	383
#define	TK_PURE	384
#define	TK_REALIGN	385
#define	TK_REDISTRIBUTE	386
#define	TK_TEMPLATE	387
#define	TK_WITH	388
#define	TK_ACCESS	389
#define	TK_ARITH_IF	390
#define	TK_ASSIGNED_GO_TO	391
#define	TK_COMPUTED_GO_TO	392
#define	TK_DO_FOREVER	393
#define	TK_DO_WHILE	394
#define	TK_IF_CONSTR	395
#define	TK_MODULE_PROC	396
#define	TK_TYPE_DECL	397
#define	TK_WHERE_CONSTR	398


extern YYSTYPE yylval;
